Webhook

Webhook dispatcher with retry and one event to many subscriber vice versa

Webhook

You can use webhooks to receive notifications about particular events in a sales channel or platform. After you've subscribed to a webhook which can be a URL, your app can execute code immediately after specific events occur in the sales channels or platform, instead of having to make API calls periodically to check their status. For example, you can rely on webhooks to trigger an action in your sales channel when a customer creates a cart, or when a merchant creates a new product in their Fynd Platform. By using webhooks, you can make fewer API calls overall, which makes sure that your apps are more efficient and update quickly.

Operations
GET
/service/partner/webhook/v1.0/organization/{organization_id}/extension/{extension_id}/report/response_time_ts
# Response time summary
POST
/service/partner/webhook/v1.0/organization/{organization_id}/extension/{extension_id}/validate/filter
# Validate filter configuration.
POST
/service/partner/webhook/v1.0/organization/{organization_id}/extension/{extension_id}/validate/reducer
# Validate reducer configuration.
PUT
/service/partner/webhook/v1.0/organization/{organization_id}/extension/{extension_id}/company/{company_id}/subscriber/{subscriber_id}/filter_reducer
# Save filter or reducer configuration.
GET

Response time summary

Response time summary
Parameters
organization_idin path
string
Required
organization_id
extension_idin path
string
Required
extension_id
start_datein query
string
| date-time
Required
start_date
end_datein query
string
| date-time
Required
end_date
Response
200
Success
ResponseTimeTs
avg_response_time_ts
array of object (AvgResponseTime)
List of average response time timestamps.
Array of AvgResponseTime
last_attempted_on
string
The timestamp of the last attempt, formatted as a string.
response_code
number
The response code returned for the delivery attempt, allowing for custom or non-enumerated values.
response_time
string
The response time for the delivery attempt, formatted as a string.
attempt
number
The attempt number for the delivery.
total
number
The total count of deliveries attempted.
Examples
Parameters
organization_id:
"652255c58ab4101b2595c6c5"
extension_id:
"652255c58ab4101b2595c6c5"
start_date:
"2023-11-01T03:02:51Z"
end_date:
"2023-11-01T03:02:51Z"
GET
/service/partner/webhook/v1.0/organization/{organization_id}/extension/{extension_id}/report/response_time_ts
Loading...
Response
Loading...
POST

Validate filter configuration.

Validate a filter configuration against sample payload data.
Parameters
organization_idin path
string
Required
organization_id
extension_idin path
string
Required
extension_id
Request body
sample_data
object
Required
Sample payload used to validate the filter logic.
filters
object (FilterValidationSchema)
Required
FilterValidationSchema
query
string
JSONPath expression to extract a value from sample payload.
condition
string
JavaScript condition function evaluated for the extracted value.
logic
string
Logical operator for combining nested filter conditions.
Enum
conditions
array of object
Nested filter conditions evaluated with the selected logical operator.
Response
200
Successfully validated filter configuration.
FilterValidationResult
success
boolean
Indicates if the filter validation succeeded.
message
string
Additional details about filter validation result.
filter_result
boolean
Evaluated result of the filter condition.
Examples
Parameters
organization_id:
"652255c58ab4101b2595c6c5"
extension_id:
"652255c58ab4101b2595c6c5"
body:
body
POST
/service/partner/webhook/v1.0/organization/{organization_id}/extension/{extension_id}/validate/filter
Loading...
Response
Loading...
POST

Validate reducer configuration.

Validate a reducer configuration against sample payload data.
Parameters
organization_idin path
string
Required
organization_id
extension_idin path
string
Required
extension_id
Request body
sample_data
object
Required
Sample payload used to validate the reducer mapping.
reducer
object
Required
The reducer property allows users to customize the JSON structure of the webhook payload using JSONPath queries.
Response
200
Successfully validated reducer configuration.
ReducerValidationResult
success
boolean
Indicates if the reducer validation succeeded.
message
string
Additional details about reducer validation result.
reducer_result
object
Result produced by applying reducer mapping on sample data.
Examples
Parameters
organization_id:
"652255c58ab4101b2595c6c5"
extension_id:
"652255c58ab4101b2595c6c5"
body:
body
POST
/service/partner/webhook/v1.0/organization/{organization_id}/extension/{extension_id}/validate/reducer
Loading...
Response
Loading...
PUT

Save filter or reducer configuration.

Save filter and/or reducer configuration for a subscriber event mapping.
Parameters
organization_idin path
string
Required
organization_id
extension_idin path
string
Required
extension_id
company_idin path
integer
Required
company_id
subscriber_idin path
number
Required
subscriber_id
Request body
filter_configuration
object (FilterSaveSchema)
FilterSaveSchema
query
string
JSONPath expression to extract a value from event payload.
condition
string
JavaScript condition function evaluated for the extracted value.
logic
string
Logical operator for combining nested filter conditions.
Enum
conditions
array of object
Nested filter conditions evaluated with the selected logical operator.
reducer_configuration
object
The reducer property allows users to customize the JSON structure of the webhook payload using JSONPath queries.
event_slug
string
Required
Event slug for which filter/reducer is being configured.
Response
200
Successfully saved filter or reducer configuration.
FilterReducerSaveResult
success
boolean
Indicates if filter/reducer configuration was saved successfully.
message
string
Additional details about save operation result.
data
object
Additional response payload returned by the save operation.
PUT
/service/partner/webhook/v1.0/organization/{organization_id}/extension/{extension_id}/company/{company_id}/subscriber/{subscriber_id}/filter_reducer
Loading...
Response
Loading...